import sitemap from "@astrojs/sitemap"
import tailwindcss from "@tailwindcss/vite"
import { defineConfig, passthroughImageService } from "astro/config"

export default defineConfig({
  site: "https://swablab.de",
  base: "/",
  server: {
    host: true,
  },
  integrations: [sitemap()],
  image: {
    domains: ["directus.swablab.de", "files.mastodon.social"],
    service: passthroughImageService(),
  },
  redirects: {
    "/todo": "https://directus.swablab.de/admin/content/tasks_general",
  },
  vite: {
    plugins: [
      tailwindcss(),
    ],
  },
})
